## org.jibx.extras
Class ObjectArrayMapper

    java.lang.Object
      org.jibx.extras.ObjectArrayMapper

All Implemented Interfaces:
  IAliasable, IMarshaller, IUnmarshaller

    public class ObjectArrayMapper

extends java.lang.Object
implements IMarshaller, IUnmarshaller, IAliasable

Custom marshaller/unmarshaller for `Object[]` instances. This handles mapping arrays typed as `java.lang.Object[]`, where each item in the array must be of a mapped type. If a name is specified by the mapping definition that name is used as a wrapper around the elements representing the items in the array; otherwise, the elements are just handled inline.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Constructor Summary
`ObjectArrayMapper()` Default constructor.
`ObjectArrayMapper(java.lang.String uri, int index, java.lang.String name)` Aliased constructor.

Method Summary
`boolean` `isExtension(int index)` Check if marshaller represents an extension mapping.
`boolean` `isPresent(IUnmarshallingContext ctx)` Check if instance present in XML.
`void` `marshal(java.lang.Object obj, IMarshallingContext ictx)` Marshal instance of handled class.
`java.lang.Object` `unmarshal(java.lang.Object obj, IUnmarshallingContext ictx)` Unmarshal instance of handled class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectArrayMapper

    public ObjectArrayMapper()

  Default constructor. This just sets up for an XML representation with no element wrapping the actual item structures. It'll be used by JiBX when no name information is supplied by the mapping which references this custom marshaller/unmarshaller.

### ObjectArrayMapper

    public ObjectArrayMapper(java.lang.String uri,
                             int index,
                             java.lang.String name)

  Aliased constructor. This takes a name definition for the top-level wrapper element. It'll be used by JiBX when a name is supplied by the mapping which references this custom marshaller/unmarshaller.

  Parameters:
    `uri` - namespace URI for the top-level element
    `index` - namespace index corresponding to the defined URI within the marshalling context definitions
    `name` - local name for the top-level element

Method Detail

### isExtension

    public boolean isExtension(int index)

  Description copied from interface: `IMarshaller`
  Check if marshaller represents an extension mapping. This is used by the framework in generated code to verify compatibility of objects being marshalled using an abstract mapping.

  Specified by:
    `isExtension` in interface `IMarshaller`
  Parameters:
    `index` - abstract mapping index to be checked
  Returns:
    `true` if this mapping is an extension of the abstract mapping, `false` if not

### marshal

    public void marshal(java.lang.Object obj,
                        IMarshallingContext ictx)
                 throws JiBXException

  Description copied from interface: `IMarshaller`
  Marshal instance of handled class. This method call is responsible for all handling of the marshalling of an object to XML text. It is called at the point where the start tag for the associated element should be generated.

  Specified by:
    `marshal` in interface `IMarshaller`
  Parameters:
    `obj` - object to be marshalled (may be `null` if property is not optional)
    `ictx` - XML text output context
  Throws:
    `JiBXException` - on error in marshalling process

### isPresent

    public boolean isPresent(IUnmarshallingContext ctx)
                      throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Check if instance present in XML. This method can be called when the unmarshalling context is positioned at or just before the start of the data corresponding to an instance of this mapping. It verifies that the expected data is present.

  Specified by:
    `isPresent` in interface `IUnmarshaller`
  Parameters:
    `ctx` - unmarshalling context
  Returns:
    `true` if expected parse data found, `false` if not
  Throws:
    `JiBXException` - on error in unmarshalling process

### unmarshal

    public java.lang.Object unmarshal(java.lang.Object obj,
                                      IUnmarshallingContext ictx)
                               throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Unmarshal instance of handled class. This method call is responsible for all handling of the unmarshalling of an object from XML text, including creating the instance of the handled class if an instance is not supplied. When it is called the unmarshalling context is always positioned at or just before the start tag corresponding to the start of the class data.

  Specified by:
    `unmarshal` in interface `IUnmarshaller`
  Parameters:
    `obj` - object to be unmarshalled (may be `null`)
    `ictx` - unmarshalling context
  Returns:
    unmarshalled object (may be `null`)
  Throws:
    `JiBXException` - on error in unmarshalling process

Project Web Site |